OGRE: Ogre::WorkQueue::ResponseHandler Class Reference - OGRE Documentation

Public Member Functions

# Ogre::WorkQueue::ResponseHandler Class Reference

Interface definition for a handler of responses. More...

`#include <OgreWorkQueue.h>`

Inheritance diagram for Ogre::WorkQueue::ResponseHandler:
[legend]

List of all members.

## Public Member Functions
| ResponseHandler ()
virtual | ~ResponseHandler ()
virtual bool | canHandleResponse (const Response *res, const WorkQueue *srcQ)
| Return whether this handler can process a given response.
virtual void | handleResponse (const Response *res, const WorkQueue *srcQ)=0
| The handler method every subclass must implement.

## Detailed Description

Interface definition for a handler of responses.

Remarks:
  User classes are expected to implement this interface in order to process responses from the queue. All calls to this class will be in the main render thread and thus all GPU resources will be available.

Definition at line 195 of file OgreWorkQueue.h.

## Constructor & Destructor Documentation

Ogre::WorkQueue::ResponseHandler::ResponseHandler | ( |  | ) |

Definition at line 198 of file OgreWorkQueue.h.

virtual Ogre::WorkQueue::ResponseHandler::~ResponseHandler | ( |  | ) | `[virtual]`

Definition at line 199 of file OgreWorkQueue.h.

## Member Function Documentation

virtual bool Ogre::WorkQueue::ResponseHandler::canHandleResponse | ( | const Response * | res,
|  | const WorkQueue * | srcQ |
| ) |  |  | `[virtual]`

Return whether this handler can process a given response.

Remarks:
  Defaults to true, but if you wish to add several handlers each of which deal with different types of response, you can override this method.

Reimplemented in Ogre::ResourceBackgroundQueue.

Definition at line 207 of file OgreWorkQueue.h.

References Ogre::WorkQueue::Request::getAborted(), and Ogre::WorkQueue::Response::getRequest().

virtual void Ogre::WorkQueue::ResponseHandler::handleResponse | ( | const Response * | res,
|  | const WorkQueue * | srcQ |
| ) |  |  | `[pure virtual]`

The handler method every subclass must implement.

Parameters:

  | res | The Response structure. The caller is responsible for deleting this after the call is made, none of the data contained (except pointers to structures in user Any data) will persist after this call is returned.
  | srcQ | The work queue that this request originated from

Implemented in Ogre::ResourceBackgroundQueue.

The documentation for this class was generated from the following file:

- OgreWorkQueue.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:03